NPM-WHOAMI(1)

NAME
npm-whoami - Display npm username

  Synopsis

    npm whoami [--registry <registry>]

Note: This command is unaware of workspaces.

  Description

Display the npm username of the currently logged-in user.

If logged into a registry that provides token-based authentication, then connect to the /-/whoami registry endpoint to find the username associated with the token, and print to standard output.

If logged into a registry that uses Basic Auth, then simply print the username portion of the authentication string.

  Configuration
<!-- AUTOGENERATED CONFIG DESCRIPTIONS START --> <!-- automatically generated, do not edit manually -->

  registry

    •   Default: "https://registry.npmjs.org/"

    •   Type: URL

The base URL of the npm registry. <!-- AUTOGENERATED CONFIG DESCRIPTIONS END -->

  See Also

    •   npm help config

    •   npm help npmrc

    •   npm help adduser